ProgressBarCssAndImages (gCube File Upload Progress Bar Widget 1.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.widgets.fileupload.client.bundle

## Interface ProgressBarCssAndImages

- All Superinterfaces:
    com.google.gwt.resources.client.ClientBundle

      public interface ProgressBarCssAndImages
      extends com.google.gwt.resources.client.ClientBundle

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ProgressBarCssAndImages.MyCssResource`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

      `com.google.gwt.resources.client.ClientBundle.Source`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProgressBarCssAndImages` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.resources.client.CssResource` | `css()`
    `com.google.gwt.resources.client.ImageResource` | `error()`
    `com.google.gwt.resources.client.ImageResource` | `ok()`
    `com.google.gwt.resources.client.CssResource` | `panelCss()`
    `com.google.gwt.resources.client.ImageResource` | `progressTexture()`
    `com.google.gwt.resources.client.ImageResource` | `spinner()`

- - ### Field Detail

    - #### INSTANCE

          static final ProgressBarCssAndImages INSTANCE

  - ### Method Detail

    - #### css

          @ClientBundle.Source(value="FileUpload.css")
          com.google.gwt.resources.client.CssResource css()

    - #### panelCss

          @ClientBundle.Source(value="PanelFileUpload.css")
          com.google.gwt.resources.client.CssResource panelCss()

    - #### spinner

          @ClientBundle.Source(value="spinning.gif")
          com.google.gwt.resources.client.ImageResource spinner()

    - #### error

          @ClientBundle.Source(value="error.png")
          com.google.gwt.resources.client.ImageResource error()

    - #### ok

          @ClientBundle.Source(value="ok.png")
          com.google.gwt.resources.client.ImageResource ok()

    - #### progressTexture

          @ImageResource.ImageOptions(repeatStyle=Horizontal)
          @ClientBundle.Source(value="progress.png")
          com.google.gwt.resources.client.ImageResource progressTexture()

Copyright © 2015. All Rights Reserved.